Status
Date: 2011-01-14

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## mpi
Class Status

    java.lang.Object
      mpjdev.Status
          mpi.Status

    public class Status

extends mpjdev.Status

Constructor Summary
`Status()` Constructor
`Status(mpjdev.Status s)`

Method Summary
`void` | `free()`
`int` | `Get_count(Datatype datatype)` Get the number of received entries.
`int` | `Get_elements(Datatype datatype)` Retrieve number of basic elements from status.
`boolean` | `Test_cancelled()` Test if communication was cancelled.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Status

    public Status(mpjdev.Status s)

### Status

    public Status()

  Constructor

Method Detail

### Get_count

    public int Get_count(Datatype datatype)
                  throws MPIException

  Get the number of received entries.

  `datatype` | datatype of each item in receive buffer
  returns: | number of received entries

  Java binding of the MPI operation `MPI_GET_COUNT`.

  Throws:
    `MPIException`

### Test_cancelled

    public boolean Test_cancelled()
                           throws MPIException

  Test if communication was cancelled.

  returns: | true if the operation was succesfully cancelled, false otherwise

  Java binding of the MPI operation `MPI_TEST_CANCELLED`.

  Throws:
    `MPIException`

### free

    public void free()

### Get_elements

    public int Get_elements(Datatype datatype)
                     throws MPIException

  Retrieve number of basic elements from status.

  `datatype` | datatype used by receive operation
  returns: | number of received basic elements

  Java binding of the MPI operation `MPI_GET_ELEMENTS`.

  Throws:
    `MPIException`

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD